// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type TakeReq struct {
	Form      []TakeForm `json:"form"`
	AddressId int64      `json:"address_id"`
}

type TakeForm struct {
	Id  int64 `json:"id"`
	Num int64 `json:"num"`
}

type GetCloudListReq struct {
	Page     int64 `form:"page"`
	PageSize int64 `form:"page_size"`
	Size     int64 `form:"size"`
}

type GetCloudListRsp struct {
	WarehouseBoxes int64          `json:"warehouse_boxes"`
	TransitBoxes   int64          `json:"transit_boxes"`
	MinTakeNum     int64          `json:"minTakeNum"`
	ListData       []ListDataItem `json:"listData"`
	Pagnation      Pagnation      `json:"pagnation"`
}

type ListDataItem struct {
	Id            int64       `json:"id"`
	Sn            string      `json:"sn"`
	Cover         string      `json:"cover"`
	Name          string      `json:"name"`
	DesignSn      string      `json:"design_sn"`
	Fitting       string      `json:"fitting"`
	Production    int64       `json:"production"`
	ProductionBox int64       `json:"production_box"`
	EachBoxNum    int64       `json:"each_box_num"`
	Stick         int64       `json:"stick"`
	StickBox      int64       `json:"stick_box"`
	Type          int64       `json:"type"`
	TakeNum       int64       `json:"takeNum"`
	Size          string      `json:"size"`
	IsStop        int64       `json:"is_stop"`
	PriceList     []PriceItem `json:"price"`
}

type PriceItem struct {
	Num      int64 `json:"num"`
	TotalNum int64 `json:"total_num"`
	Price    int64 `json:"price"`
}

type SupplementReq struct {
	Id  int64 `json:"id"`
	Num int64 `json:"num"`
}

type SupplementRsp struct {
	Sn string `json:"sn"`
}

type Request struct {
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type Pagnation struct {
	TotalCount int64 `json:"total_count"`
	TotalPage  int64 `json:"total_page"`
	CurPage    int64 `json:"cur_page"`
	PageSize   int64 `json:"page_size"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
